Skip to navigation

Update Channel Abandoned Cart Settings

Updates the per-channel overrides for the abandoned cart settings of a store.

OAuth Scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsread-onlystore_v2_information_read_only
Information & Settingsmodifystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

channel_idintegerRequired
The channel ID of the settings overrides
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
enable_notificationboolean or nullOptional
Indicates whether or not abandoned cart notification is on. If it is null, it means there is no override for the specified channel.
email_customer_until_cart_is_recoveredboolean or nullOptional
Indicates whether or not a customer should continue to receive abandoned cart emails until their cart is recovered. If it is null, it means there is no override for the specified channel.
email_merchant_when_cart_is_convertedboolean or nullOptional
Indicates whether or not a merchant should receive a notification email when a cart is converted into an order. If it is null, it means there is no override for the specified channel.
email_merchant_when_cart_is_abandonedboolean or nullOptional
Indicates whether or not a merchant should receive a notification email when a cart is abandoned. If it is null, it means there is no override for the specified channel.
merchant_email_addressstring or nullOptionalformat: "email"0-500 characters
The email address for receiving merchant notifications. If it is null, it means there is no override for the specified channel.
merchant_abandoned_cart_email_frequency_typeenum or nullOptional
Indicates whether to send an email for every abandoned cart or to send a digest email after X number of abandoned carts. If it is null, it means there is no override for the specified channel.
Allowed values:
merchant_abandoned_cart_digest_email_frequencyinteger or nullOptional2-1000
The number of abandoned carts to accumulate before a digest email is sent to a merchant. If it is null, it means there is no override for the specified channel.

Response

OK
dataobjectOptional
Represents all settings overrides related to the abandoned cart functionality of a store for a channel
metaobjectOptional
Response metadata

Errors

401
Unauthorized Error
422
Unprocessable Entity Error